require 'unfor_base_api'

core_dir = File.expand_path('../core', __FILE__)
Dir["#{core_dir}/**/*.rb"].each {|file| require file }

module Unforlogistics
  class Api < ::UnforBaseApi
    include Unforlogistics::Core::Addresses
    include Unforlogistics::Core::Couriers
    include Unforlogistics::Core::Emails
    include Unforlogistics::Core::GlobalConfigs
    include Unforlogistics::Core::Locations
    include Unforlogistics::Core::Misc
    include Unforlogistics::Core::Phones
    include Unforlogistics::Core::ShipmentDispatchControls
    include Unforlogistics::Core::ShipmentDispatchHandlings
    include Unforlogistics::Core::ShipmentDispatches
    include Unforlogistics::Core::ShipmentDrivers
    include Unforlogistics::Core::ShipmentPackageSizes
    include Unforlogistics::Core::ShipmentRegions
    include Unforlogistics::Core::ShipmentTrips
    include Unforlogistics::Core::ShipmentVehicleKinds
    include Unforlogistics::Core::ShipmentZones
    include Unforlogistics::Core::Shipments
  end
end
