module Unforlogistics
  module Core
    module GlobalConfigs
      def get_global_configs
        response = get_request('/global_configs')

        get_paging_response(response)
      end

      def get_global_config(key)
        get_request("/global_configs/#{key}").body
      end

      def update_global_config(key, value)
        response = put_request("/global_configs/#{key}", { value: value })

        get_persistance_response(response)
      end
    end
  end
end
