module Unforlogistics
  module Core
    module Misc
      def get_courier_providers
        get_request('/courier_providers').body
      end

      def get_courier_provider(code)
        get_request("/courier_providers/#{code}").body
      end

      def get_distribution_centers
        get_request('/distribution_centers').body
      end

      def get_distribution_center(code)
        get_request("/distribution_centers/#{code}").body
      end

      def get_shipment_modes
        get_request('/shipment_modes').body
      end

      def get_shipment_mode(code)
        get_request("/shipment_modes/#{code}").body
      end
    end
  end
end
