module Unforlogistics
  module Core
    module ShipmentPackageSizes
      def get_shipment_package_sizes
        get_request('/shipment_package_sizes').body
      end

      def get_shipment_package_size(code)
        get_request("/shipment_package_sizes/#{code}").body
      end

      def update_shipment_package_size(code, attrs={})
        response = put_request("/shipment_package_sizes/#{code}", attrs)

        get_persistance_response(response)
      end
    end
  end
end
