module Unforlogistics
  module Core
    module ShipmentVehicleKinds
      def get_shipment_vehicle_kinds
        get_request('/shipment_vehicle_kinds').body
      end

      def get_shipment_vehicle_kind(code)
        get_request("/shipment_vehicle_kinds/#{code}").body
      end

      def update_shipment_vehicle_kind(code, attrs={})
        response = put_request("/shipment_vehicle_kinds/#{code}", attrs)

        get_persistance_response(response)
      end
    end
  end
end
