module Unforlogistics
  module Core
    module Locations
      def get_provinces(filters={})
        response = get_request('/provinces', filters)

        get_paging_response(response)
      end

      def get_province(id)
        get_request("/provinces/#{id}").body
      end

      def get_localities(filters={})
        response = get_request('/localities', filters)

        get_paging_response(response)
      end

      def get_locality(id)
        get_request("/localities/#{id}").body
      end
    end
  end
end
