module Unforlogistics
  module Core
    module ShipmentDispatchControls
      def get_shipment_dispatch_controls(filters={})
        response = get_request('/shipment_dispatch_controls', filters)

        get_paging_response(response)
      end

      def get_shipment_dispatch_control(id)
        get_request("/shipment_dispatch_controls/#{id}").body
      end

      def create_shipment_dispatch_control(attrs={})
        response = post_request('/shipment_dispatch_controls', attrs)

        get_persistance_response(response)
      end

      def cancel_shipment_dispatch_control(id)
        response = put_request("/shipment_dispatch_controls/#{id}/cancellation")

        get_persistance_response(response)
      end
    end
  end
end
