module Unforlogistics
  module Core
    module ShipmentDispatches
      def get_shipment_dispatch(filters={})
        response = get_request('/shipment_dispatches', filters)

        get_paging_response(response)
      end

      def get_shipment_dispatch(id)
        get_request("/shipment_dispatches/#{id}").body
      end

      def create_shipment_dispatch(attrs={})
        response = post_request('/shipment_dispatches', attrs)

        get_persistance_response(response)
      end

      def cancel_shipment_dispatch(id)
        response = put_request("/shipment_dispatches/#{id}/cancellation")

        get_persistance_response(response)
      end
    end
  end
end
