module Unforlogistics
  module Core
    module ShipmentRegions
      def get_shipment_regions(filters={})
        response = get_request('/shipment_regions', filters)

        get_paging_response(response)
      end

      def get_shipment_region(id)
        get_request("/shipment_regions/#{id}").body
      end

      def create_shipment_region(attrs={})
        response = post_request('/shipment_regions', attrs)

        get_persistance_response(response)
      end

      def update_shipment_region(id, attrs={})
        response = put_request("/shipment_regions/#{id}", attrs)

        get_persistance_response(response)
      end
    end
  end
end
