module Unforlogistics
  module Core
    module ShipmentZones
      def get_shipment_zones(filters={})
        response = get_request('/shipment_zones', filters)

        get_paging_response(response)
      end

      def get_shipment_zone(id)
        get_request("/shipment_zones/#{id}").body
      end

      def create_shipment_zone(attrs={})
        response = post_request('/shipment_zones', attrs)

        get_persistance_response(response)
      end

      def update_shipment_zone(id, attrs={})
        response = put_request("/shipment_zones/#{id}", attrs)

        get_persistance_response(response)
      end
    end
  end
end
